Bug 16569 - Message box for "too many checked out" is empty if AllowTooManyOverride is not enabled
Summary: Message box for "too many checked out" is empty if AllowTooManyOverride is no...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 14045
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-23 14:27 UTC by Kyle M Hall
Modified: 2017-12-07 22:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16569 - Message box for "too many checked out" is empty if AllowTooManyOverride is not enabled (1.36 KB, patch)
2016-05-23 14:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16569 - Message box for "too many checked out" is empty if AllowTooManyOverride is not enabled (1.42 KB, patch)
2016-05-26 09:52 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 16569 - Message box for "too many checked out" is empty if AllowTooManyOverride is not enabled (1.49 KB, patch)
2016-05-26 10:13 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-05-23 14:27:34 UTC
If the limit for number of items checked out is reached, the message box shows up but is empty.
Comment 1 Kyle M Hall 2016-05-23 14:30:09 UTC Comment hidden (obsolete)
Comment 2 Nicolas Legrand 2016-05-26 09:52:18 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-05-26 10:13:31 UTC
Created attachment 51821 [details] [review]
Bug 16569 - Message box for "too many checked out" is empty if AllowTooManyOverride is not enabled

If the limit for number of items checked out is reached, the message box
shows up but is empty.

Test Plan:
1) Disable AllowTooManyOverride
2) Check out items to a patron until the patron has reached the limit
   of checkouts he or she can have
3) Try to check out one more item
4) Note the empty message box
5) Apply this patch
6) Try to check out one more item again
7) Note the message is now visible

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Brendan Gallagher 2016-05-30 11:15:58 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks
Comment 5 Frédéric Demians 2016-06-15 07:28:57 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 6 Julian Maurice 2016-06-16 07:04:56 UTC
Patch pushed to 3.22.x, will be in 3.22.8